Loading...
Searching...
No Matches
integrationscopebase.h File Reference
`#include <vector>`
`#include <limits>`
`#include <QObject>`
`#include <QString>`
`#include <QPointF>`
`#include "pappsomspp/export-import-config.h"`
`#include "../../types.h"`

Go to the source code of this file.

## Classes

class | pappso::IntegrationScopeBase
struct | pappso::IntegrationScopeSpec

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< IntegrationScopeBase > | pappso::IntegrationScopeBaseSPtr
typedef std::shared_ptr< const IntegrationScopeBase > | pappso::IntegrationScopeBaseCstSPtr
typedef std::shared_ptr< IntegrationScopeSpec > | pappso::IntegrationScopeSpecSPtr
typedef std::shared_ptr< const IntegrationScopeSpec > | pappso::IntegrationScopeSpecCstSPtr

## Enumerations

enum | pappso::IntegrationScopeFeatures { pappso::FAILURE = 0x0000 , pappso::SUCCESS = 1 << 1 , pappso::FLAT_ON_X_AXIS = 1 << 2 , pappso::FLAT_ON_Y_AXIS = 1 << 3 , pappso::RHOMBOID_VERTICAL = 1 << 4 , pappso::RHOMBOID_HORIZONTAL = 1 << 5 , pappso::NOT_PRINTABLE = 1 << 6 , pappso::FLAT_ON_ANY_AXIS = (FLAT_ON_X_AXIS | FLAT_ON_Y_AXIS) }